Bug 218732 - emulators/linux-c6: update c6 compatibility layer to 6.9
Summary: emulators/linux-c6: update c6 compatibility layer to 6.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-18 16:32 UTC by Piotr Kubaj
Modified: 2017-05-26 10:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (emulation)


Attachments
patch (99.72 KB, patch)
2017-04-18 16:32 UTC, Piotr Kubaj
no flags Details | Diff
patch (100.42 KB, patch)
2017-04-21 14:03 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (emulation)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-04-18 16:32:58 UTC
Created attachment 181869 [details]
patch

The patch is build-tested on Poudriere on 10.3-RELEASE with c6 and c6_64 variants. It also includes the already released updates to 6.9.
Comment 1 Piotr Kubaj freebsd_committer 2017-04-21 14:03:56 UTC
Created attachment 181974 [details]
patch

Patch updated to account for https://rhn.redhat.com/errata/RHSA-2017-1100.html

Note that security/linux-c6-nss port will require MFH after update.
Comment 2 Johannes Jost Meixner freebsd_committer 2017-05-11 14:13:32 UTC
Looks good to me, did you try out a few games with it? ;-)
Comment 3 Piotr Kubaj freebsd_committer 2017-05-11 14:28:54 UTC
(In reply to Johannes Jost Meixner from comment #2)
Not much works with c6 stuff, but FTL and World of Goo work :)
Comment 4 commit-hook freebsd_committer 2017-05-26 10:27:13 UTC
A commit references this bug:

Author: tijl
Date: Fri May 26 10:26:42 UTC 2017
New revision: 441768
URL: https://svnweb.freebsd.org/changeset/ports/441768

Log:
  Update to CentOS 6.9.

  PR:		218732
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/Mk/Uses/linux.mk
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-alsa-utils/distinfo
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-pulseaudio-utils/distinfo
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-devtools/distinfo
  head/devel/linux-c6-devtools/pkg-plist.amd64
  head/devel/linux-c6-devtools/pkg-plist.i386
  head/devel/linux-c6-nspr/Makefile
  head/devel/linux-c6-nspr/distinfo
  head/emulators/linux-c6/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo
  head/emulators/linux_base-c6/pkg-plist.amd64
  head/emulators/linux_base-c6/pkg-plist.i386
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c6-curl/distinfo
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-openldap/distinfo
  head/print/linux-c6-cups-libs/Makefile
  head/print/linux-c6-cups-libs/distinfo
  head/security/linux-c6-gnutls/Makefile
  head/security/linux-c6-gnutls/distinfo
  head/security/linux-c6-gnutls/pkg-plist.amd64
  head/security/linux-c6-gnutls/pkg-plist.i386
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-nss/distinfo
  head/security/linux-c6-nss/pkg-plist.amd64
  head/security/linux-c6-nss/pkg-plist.i386
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/distinfo
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c6-xorg-libs/distinfo
  head/x11/linux-c6-xorg-libs/pkg-plist.amd64
  head/x11/linux-c6-xorg-libs/pkg-plist.i386
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/distinfo
  head/x11-toolkits/linux-c6-openmotif/Makefile
  head/x11-toolkits/linux-c6-openmotif/distinfo
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-c6-qt47-x11/distinfo